Bug 727559 - Review Request: perl-POE-Component-Syndicator - POE component base class which implements the Observer pattern
Summary: Review Request: perl-POE-Component-Syndicator - POE component base class whic...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 726022
TreeView+ depends on / blocked
 
Reported: 2011-08-02 13:06 UTC by Petr Šabata
Modified: 2013-05-07 13:07 UTC (History)
3 users (show)

Fixed In Version: perl-POE-Component-Syndicator-0.06-1.fcf17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-04 13:05:57 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2011-08-02 13:06:38 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-POE-Component-Syndicator/perl-POE-Component-Syndicator.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-POE-Component-Syndicator/perl-POE-Component-Syndicator-0.06-1.fc15.src.rpm
Description:
POE::Component::Syndicator is a base class for POE components which need to
handle a persistent resource (e.g. a connection to an IRC server) for one 
or more sessions in an extendable way.

Comment 1 Marcela Mašláňová 2011-08-04 11:19:31 UTC
- rpmlint OK
 perl-POE-Component-Syndicator.src: I: enchant-dictionary-not-found en_US
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK


rpm -qp --provides rpmbuild/RPMS/noarch/perl-POE-Component-Syndicator-0.06-1.fc17.noarch.rpm 
perl(POE::Component::Syndicator) = 0.06
perl-POE-Component-Syndicator = 0.06-1.fc17

[root@rawhide-marcela ~]# rpm -qp --requires rpmbuild/RPMS/noarch/perl-POE-Component-Syndicator-0.06-1.fc17.noarch.rpm 
perl(:MODULE_COMPAT_5.14.1)  
perl(Carp)  
perl(Object::Pluggable)  
perl(Object::Pluggable) >= 1.29
perl(Object::Pluggable::Constants)  
perl(POE)  
perl(POE) >= 1.311
perl(base)  
perl(constant)  
perl(constant)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

Please, filter non-versioned requires.

APPROVED

Comment 2 Petr Šabata 2011-08-04 11:44:05 UTC
Thanks, I'm going to use the SPEC with this change for the import...

--- perl-POE-Component-Syndicator.spec.orig     2011-08-02 15:04:52.000000000 +0200
+++ perl-POE-Component-Syndicator.spec  2011-08-04 13:37:57.123893050 +0200
@@ -14,11 +14,19 @@
 BuildRequires:  perl(POE) >= 1.311
 # Tests
 BuildRequires:  perl(Test::More)
-Requires:       perl(constant)
 Requires:       perl(Object::Pluggable) >= 1.29
 Requires:       perl(POE) >= 1.311
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
+# Underspecified dependencies filter
+# RPM 4.8 style
+%filter_from_requires /^perl(POE)$/d
+%filter_from_requires /^perl(Object::Pluggable)$/d
+%{?perl_default_filter}
+# RPM 4.9 style
+%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(POE\\)$
+%global __requires_exclude %__requires_exclude|^perl\\(Object::Pluggable\\)$
+
 %description
 POE::Component::Syndicator is a base class for POE components which need to
 handle a persistent resource (e.g. a connection to an IRC server) for one

Comment 3 Petr Šabata 2011-08-04 11:45:42 UTC
New Package SCM Request
=======================
Package Name: perl-POE-Component-Syndicator
Short Description: POE component base class which implements the Observer pattern
Owners: psabata mmaslano ppisar
Branches:
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2011-08-04 12:04:47 UTC
Git done (by process-git-requests).

Comment 5 Petr Šabata 2011-08-04 12:57:30 UTC
(In reply to comment #4)
> Git done (by process-git-requests).

Thanks, Jon.

Comment 6 Andrea Veri 2013-05-07 11:35:44 UTC
Package Change Request
======================
Package Name: perl-POE-Component-Syndicator
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2013-05-07 13:07:39 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.